<template>
  <component
    class="ui-box-corners"
    :is="tag"
  >
    <slot/>
  </component>
</template>

<script lang="ts">
import { defineComponent } from 'vue'

export default defineComponent({
  name: 'ui-box-corners',
  props: {
    tag: {
      type: String,
      default: 'div',
    }
  }
})
</script>

<style>
  .ui-box-corners {
    @apply uikit-overflow-hidden uikit-relative uikit-text-white;
  }

  .ui-box-corners::after {
    content: '';
    @apply uikit-w-full uikit-h-full -uikit-left-2 -uikit-top-2 uikit-p-1 uikit-absolute uikit-border uikit-border-white uikit-border-opacity-60 uikit-block uikit-box-content uikit-rounded-18 uikit-pointer-events-none uikit-select-none;
  }
</style>